.feature-card--link {
	& .feature-card__title {
		transition: color 0.3s;
	}

	&:hover {
		@media (--m) {
			& .feature-card__title {
				color: var(--primary);
			}
		}
	}
}

.feature-card,
.feature-card__content {
	flex: 1 1 auto;
}

.feature-card__footer {
	margin-top: auto;
}

.feature-card {
	&.is-content-alignment-left {
		text-align: left;

		&.is-row-layout {
			& .feature-card__media-wrapper {
				align-items: flex-start;
			}
		}
	}

	&.is-content-alignment-center {
		text-align: center;

		& .feature-card__media-wrapper {
			align-items: center;
			justify-content: center;
		}

		&.is-row-layout {
			& .feature-card__media-wrapper {
				align-items: center;
			}

			& .feature-card__content {
				text-align: left;
			}
		}
	}

	&.is-content-alignment-right {
		text-align: right;
	}

	&.is-dark-contract {
		& .feature-card__title,
		& .feature-card__description {
			color: var(--white);
		}
	}

	&.has-border {
		padding: 10px;
		background-color: var(--white);
		border: 1px solid var(--border);
		border-radius: var(--card-border-radius);

		@media (--s) {
			padding: 20px;
		}

		@media (--l) {
			padding: 30px;
		}
	}

	&.is-column-layout {
		& .feature-card__content {
			margin-top: 1em;
		}
	}

	&.is-row-layout {
		flex-direction: row;
		flex-wrap: nowrap;
		align-items: flex-start;

		&.is-icon--24 {
			& .feature-card__media-wrapper {
				width: 24px;
			}

			& .feature-card__content {
				width: calc(100% - 24px);
			}
		}

		&.is-icon--36 {
			& .feature-card__media-wrapper {
				width: 36px;
			}
		}

		&.is-icon--48 {
			& .feature-card__media-wrapper {
				width: 48px;
			}
		}

		& .feature-card__content {
			padding-left: 1em;
		}
	}

	&.is-image--cover,
	&.is-image--contain {
		flex-wrap: nowrap;

		& .feature-card__media-wrapper {
			width: 100%;
		}
	}
}

.feature-card__title {
	@mixin large-text;

	margin-top: 0;
}

.feature-card__image {
	&.image--contain {
		@mixin ratio 9/16;

		width: 100%;
	}

	&.image--cover {
		@mixin ratio 1;

		width: 100%;
		max-width: 100px;
	}

	&.icon--24,
	&.icon--36,
	&.icon--48 {
		& .image__img {
			height: auto;
		}
	}

	&.icon--24 {
		& .image__img {
			width: 24px;
		}
	}

	&.icon--36 {
		& .image__img {
			width: 36px;
		}
	}

	&.icon--48 {
		& .image__img {
			width: 48px;
		}
	}

	&.icon--60 {
		& .image__img {
			width: 60px;
		}
	}

	&.icon--80 {
		& .image__img {
			width: 80px;
		}
	}
}

.feature-card__svg {
	&.icon--24 {
		@mixin icon 24px;
	}

	&.icon--36 {
		@mixin icon 36px;
	}

	&.icon--48 {
		@mixin icon 48px;
	}

	&.icon--60 {
		@mixin icon 60px;
	}

	&.icon--80 {
		@mixin icon 80px;
	}
}
